Bug 920393 - (CVE-2013-1840) CVE-2013-1840 OpenStack Glance: Backend credentials leak in Glance v1 API
CVE-2013-1840 OpenStack Glance: Backend credentials leak in Glance v1 API
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130314,repor...
: Security
Depends On: 920395 920396
Blocks: 920394
  Show dependency treegraph
 
Reported: 2013-03-11 21:56 EDT by Kurt Seifried
Modified: 2016-04-26 10:02 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 16:47:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stable-essex-CVE-2013-1840.patch (839 bytes, patch)
2013-03-11 22:17 EDT, Kurt Seifried
no flags Details | Diff
stable-folsom-CVE-2013-1840.patch (818 bytes, patch)
2013-03-11 22:19 EDT, Kurt Seifried
no flags Details | Diff
grizzly-CVE-2013-1840.patch (811 bytes, patch)
2013-03-11 22:19 EDT, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2013-03-11 21:56:39 EDT
Thierry Carrez (thierry@openstack.org) reports:

Title: Backend credentials leak in Glance v1 API
Reporter: Stuart McLaren (HP)
Products: Glance
Affects: All versions

Description:
Stuart McLaren from HP reported a vulnerability in the information
potentially returned to the user in Glance v1 API. If an authenticated
user requests, through the v1 API, an image that is already cached, the
headers returned may disclose the Glance operator's backend credentials
for that endpoint. Only setups accepting the Glance v1 API and using
either the single-tenant Swift store or S3 store are affected.

Proposed patches:
See attached patches. Unless a flaw is discovered in them, these patches
will be merged to Glance master (Grizzly), stable/folsom, and
stable/essex branches on the public disclosure date.
Comment 3 Kurt Seifried 2013-03-11 22:17:24 EDT
Created attachment 708714 [details]
stable-essex-CVE-2013-1840.patch
Comment 4 Kurt Seifried 2013-03-11 22:19:19 EDT
Created attachment 708716 [details]
stable-folsom-CVE-2013-1840.patch
Comment 5 Kurt Seifried 2013-03-11 22:19:42 EDT
Created attachment 708718 [details]
grizzly-CVE-2013-1840.patch
Comment 10 Murray McAllister 2013-03-26 21:54:14 EDT
Acknowledgements:

Red Hat would like to thank the OpenStack project for reporting this issue. Upstream acknowledges Stuart McLaren (HP) as the original reporter.
Comment 11 errata-xmlrpc 2013-04-04 16:23:55 EDT
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0707 https://rhn.redhat.com/errata/RHSA-2013-0707.html

Note You need to log in before you can comment on or make changes to this bug.